/*==================================================================
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corp. 2003.  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation.  This sample code is
 * not part of any standard or IBM product and is provided to you
 * solely for the purpose of assisting you in the development of
 * your applications.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have
 * been advised of the possibility of such damages.
 *===============================================================*/

package contactlist.struts.utilities;

public interface Constants {
	
	// NLS Resource Bundle
	final static String RESOURCE = "contactlist.resources.ApplicationResources";
	
	// Init Parameters
	final static String DATASOURCE = "datasource";
	final static String DB = "persist_to_db";
	
	// Processing control
 	final static String CONTACT = "contact";
 	final static String EXCEPTION = "exception";
 	final static String CONTACT_LIST = "contactList";
	final static String UNAUTHENTICATED = "unauthenticated";
 	final static String DELETE = "delete";
 	final static String ADD = "add";
 	final static String EDIT = "edit";
	final static String FALSE = "false";
	final static String TRUE = "true";
 	final static String OK = "ok";
	
	// Actions
 	static final String MAIN_EDIT = "success";
 	static final String MAIN_EDIT_PAGE = "success";
 	static final String DETAIL_VIEW_PAGE = "success";
 	static final String MAIN_VIEW_PAGE = "success";
 	static final String DELETE_CONTACT = "success";
 	static final String ADD_CONTACT_PAGE = "success";
 	static final String EDIT_CONTACT_PAGE = "success";

}

