package com.ibm.websphere.samples.bank.ejb;
import com.ibm.websphere.samples.bank.ejb.AccountLocal;
/**
 * Local interface for Enterprise Bean: Customer
 */
public interface CustomerLocal extends javax.ejb.EJBLocalObject {
	/**
	 * Get accessor for persistent attribute: lastName
	 */
	public java.lang.String getLastName();
	/**
	 * Set accessor for persistent attribute: lastName
	 */
	public void setLastName(java.lang.String newLastName);
	/**
	 * Get accessor for persistent attribute: firstName
	 */
	public java.lang.String getFirstName();
	/**
	 * Set accessor for persistent attribute: firstName
	 */
	public void setFirstName(java.lang.String newFirstName);
	/**
	 * Get accessor for persistent attribute: taxID
	 */
	public java.lang.String getTaxID();
	/**
	 * Set accessor for persistent attribute: taxID
	 */
	public void setTaxID(java.lang.String newTaxID);
	/**
	 * This method was generated for supporting the relationship role named accounts.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public java.util.Collection getAccounts();	/**
	 * This method was generated for supporting the relationship role named accounts.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public void setAccounts(java.util.Collection anAccounts);	/*.....
	 Allows adding an account from client code to the collection of owned accounts 
	 without letting the client manipulate the collection
	 ......*/

	public void addAccount(AccountLocal anAccount);
	/*.....................................................
	 Exposes the result of the ejbSelect method to a client
	 .....................................................*/
	public int getAccountsCount();
}