//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. " 
//
// Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.exception;

/**
 * Thrown when an attempt is made to deduct an amount that is greater than an account balance.
 */
public class InsufficientFundsException extends Exception {
    /**
     * Constructs an InsufficientFundsException with no detail message. 
     */
    public InsufficientFundsException() {
        super();
    }

    /**
     * Constructs an InstantiationException with the specified detail message. 
     * @param s java.lang.String The message detail.
     */
    public InsufficientFundsException(String s) {
        super(s);
    }
}
