//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. " 
//
// Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.tags;

import java.io.Serializable;

public class ContentItem implements Serializable {
    private String file;
    private String content;
    private boolean hasContent;

    /**
     * @return String
     */
    public String getContent() {
        return content;
    }
    /**
     * @return String
     */
    public String getFile() {
        return file;
    }
    /**
     * @return boolean
     */
    public boolean getHasContent() {
        return hasContent;
    }
    /**
     * @param content
     */
    public void setContent(String content) {
        this.content = content;
        hasContent = true;
    }
    /**
     * @param file
     */
    public void setFile(String file) {
        this.file = file;
        hasContent = false;
    }
    /**
     * @param hasContent
     */
    public void setHasContent(boolean hasContent) {
        this.hasContent = hasContent;
    }
}
