//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. " 
//
// Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.web;

public class AccountData implements java.io.Serializable {
    private long accNumber;
    private float balance;
    private int accType;

    public AccountData() {

    }

    /**
     * @param num
     * @param bal
     * @param type
     */
    public AccountData(long num, float bal, int type) {
        accNumber = num;
        balance = bal;
        accType = type;
    }

    /**
     * @return Account Number
     */
    public long getAccNumber() {
        return accNumber;
    }

    /**
     * @return Balance
     */
    public float getBalance() {
        return balance;
    }

    /**
     * @return Account Type
     */
    public int getAccType() {
        return accType;
    }
}
