package com.ibm.websphere.samples.bank.ejb;
/**
 * Key class for Entity Bean: Account
 */
public class AccountKey implements java.io.Serializable {
	static final long serialVersionUID = 3206093459760846163L;
	/**
	 * Implementation field for persistent attribute: accountNumber
	 */
	public int accountNumber;
	/**
	 * Creates an empty key for Entity Bean: Account
	 */
	public AccountKey() {
	}
	/**
	 * Creates a key for Entity Bean: Account
	 */
	public AccountKey(int accountNumber) {
		this.accountNumber = accountNumber;
	}
	/**
	 * Returns true if both keys are equal.
	 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof com.ibm.websphere.samples.bank.ejb.AccountKey) {
			com.ibm.websphere.samples.bank.ejb.AccountKey o = (com.ibm.websphere.samples.bank.ejb.AccountKey) otherKey;
			return ((this.accountNumber == o.accountNumber));
		}
		return false;
	}
	/**
	 * Returns the hash code for the key.
	 */
	public int hashCode() {
		return ((new java.lang.Integer(accountNumber).hashCode()));
	}
	/**
	 * @return Returns the accountNumber.
	 */
	public int getAccountNumber() {
		return accountNumber;
	}
	/**
	 * @param accountNumber The accountNumber to set.
	 */
	public void setAccountNumber(int accountNumber) {
		this.accountNumber = accountNumber;
	}
}