
<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use or for redistribution by customer, as part of such an application, in customer's own products."

Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
All Rights Reserved * Licensed Materials - Property of IBM
--> 

<%@ page language="java" import="com.ibm.websphere.samples.bank.web.PageBean" import="com.ibm.websphere.samples.bank.web.AccountData" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="/WEB-INF/tld/template.tld" prefix='tt' %>

<%
  PageBean pgBean =(request.getAttribute("PageBean")!=null?(PageBean)request.getAttribute("PageBean"):new PageBean());
  java.util.ArrayList listAcct = pgBean.getAccountsByBalance();

  java.text.DecimalFormat dF = new java.text.DecimalFormat("####.00");

 
%>

<tt:template template='template.jsp'>
     <tt:content name='subtitle'>List of Accounts</tt:content>
     <tt:content name='banner' file='banner.jsp'/>
     <tt:content name='sidemenu' file='sidemenu.jsp' />
     <tt:content name='content'>
			
     <table border="0" cellspacing="1" cellpadding="1" align="center">
	<tr>
		<td class="navbar" colspan="1" width="40%"><b>Account Number</b></td>
		<td class="navbar" colspan="2" width="35%"><b>Balance</b></td>
		<td class="navbar" colspan="3" width="50%"><b>Account Type</b></td>
	</tr>

	 <% if (listAcct!=null && listAcct.size()>0) {
                    for (int i=0; i<listAcct.size(); i++){
                           AccountData acct = (AccountData)listAcct.get(i); %>

			<tr height="40">
			        <td class="listitems" colspan="1" width="40%"><%=(long)acct.getAccNumber()%></td>
				<td class="listitems" colspan="2" width="35%"><%=dF.format((float)acct.getBalance())%></td>
				<td class="listitems" colspan="3" width="50%"><%=((int)acct.getAccType()==1?"Savings":"Checkings")%></td>
			</tr>
	 <% }}%>
	    
     </table>
   </tt:content>
</tt:template>
